# xarray.ufuncs.signbit

`xarray.ufuncs.``signbit` = <xarray.ufuncs._UFuncDispatcher object>

  xarray specific variant of numpy.signbit. Handles xarray.Dataset, xarray.DataArray, xarray.Variable, numpy.ndarray and dask.array.Array objects with automatic dispatching.

  Documentation from numpy:

  signbit(x, /, out=None, *, where=True, casting=’same_kind’, order=’K’, dtype=None, subok=True[, signature, extobj])

  Returns element-wise True where signbit is set (less than zero).

  Parameters:

  x : array_like

  > The input value(s).

  out : ndarray, None, or tuple of ndarray and None, optional

  > A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

  where : array_like, optional

  > Values of True indicate to calculate the ufunc at that position, values of False indicate to leave the value in the output alone.

  **kwargs

  > For other keyword-only arguments, see the ufunc docs.

  Returns:

  result : ndarray of bool

  > Output array, or reference to out if that was supplied.

  Examples

      >>> np.signbit(-1.2)
      True
      >>> np.signbit(np.array([1, -2.3, 2.1]))
      array([False,  True, False], dtype=bool)